Open SCAP Library: xccdf_check Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures | Public Member Functions | Data Fields
xccdf_check Struct Reference
XCCDF

XCCDF simple or complex check. More...

`#include <xccdf_benchmark.h>`

## Data Structures
struct | _xccdf_check_flags

## Public Member Functions
struct xccdf_check * | xccdf_check_new (void)
void | xccdf_check_free (struct xccdf_check *check)
struct xccdf_check * | xccdf_check_clone (const struct xccdf_check *old_check)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_check_get_id (const struct xccdf_check *check)
bool | xccdf_check_get_complex (const struct xccdf_check *check)
| True if the check is a complex check. More...
xccdf_bool_operator_t | xccdf_check_get_oper (const struct xccdf_check *check)
| Get an operator to be applied no children of the complex check. More...
const char * | xccdf_check_get_system (const struct xccdf_check *check)
const char * | xccdf_check_get_selector (const struct xccdf_check *check)
const char * | xccdf_check_get_content (const struct xccdf_check *check)
bool | xccdf_check_get_multicheck (const struct xccdf_check *check)
bool | xccdf_check_get_negate (const struct xccdf_check *check)
struct xccdf_check_iterator * | xccdf_check_get_children (const struct xccdf_check *check)
| Get an iterator to nested checks of the complex check. More...
struct xccdf_check_import_iterator * | xccdf_check_get_imports (const struct xccdf_check *check)
struct xccdf_check_export_iterator * | xccdf_check_get_exports (const struct xccdf_check *check)
struct xccdf_check_content_ref_iterator * | xccdf_check_get_content_refs (const struct xccdf_check *check)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_check_set_id (struct xccdf_check *obj, const char *newval)
bool | xccdf_check_set_system (struct xccdf_check *obj, const char *newval)
bool | xccdf_check_set_selector (struct xccdf_check *obj, const char *newval)
bool | xccdf_check_set_content (struct xccdf_check *obj, const char *newval)
bool | xccdf_check_set_oper (struct xccdf_check *obj, xccdf_bool_operator_t newval)
bool | xccdf_check_set_multicheck (struct xccdf_check *obj, bool newval)
bool | xccdf_check_set_negate (struct xccdf_check *obj, bool newval)
bool | xccdf_check_add_import (struct xccdf_check *obj, struct xccdf_check_import *item)
bool | xccdf_check_add_export (struct xccdf_check *obj, struct xccdf_check_export *item)
bool | xccdf_check_add_content_ref (struct xccdf_check *obj, struct xccdf_check_content_ref *item)
bool | xccdf_check_add_child (struct xccdf_check *obj, struct xccdf_check *item)

## Data Fields
xccdf_bool_operator_t | oper
struct oscap_list * | children
char * | id
char * | system
char * | selector
char * | content
struct xccdf_check::_xccdf_check_flags | flags
struct oscap_list * | imports
struct oscap_list * | exports
struct oscap_list * | content_refs

## Detailed Description

XCCDF simple or complex check.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h